<?php
/**
 * Cart Recovery Emails Manager.
 *
 * @package EDD\Pro\CartRecovery\Emails
 * @copyright Copyright (c) 2026, Sandhills Development, LLC
 * @license https://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since 3.6.5
 */

namespace EDD\Pro\CartRecovery\Emails;

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit; // @codeCoverageIgnore

use EDD\EventManagement\MiniManager;

/**
 * Cart Recovery Emails Manager.
 *
 * @since 3.6.5
 */
class Manager extends MiniManager {

	/**
	 * The priority to subscribe to.
	 *
	 * @since 3.6.5
	 * @var string
	 */
	protected static $priority = 100;

	/**
	 * Gets the event classes.
	 *
	 * @since 3.6.5
	 * @return array
	 */
	public function get_event_classes(): array {
		return array(
			new Admin(),
			new Editor(),
			new Meta(),
			new Registry(),
			new Bounce(),
		);
	}
}
